org.openmuc.openiec61850.clientgui.databind

## Class TextFieldDataBind<E extends BasicDataAttribute>

- java.lang.Object
- - org.openmuc.openiec61850.clientgui.BasicDataBind<E>
  - - org.openmuc.openiec61850.clientgui.databind.TextFieldDataBind<E>

Direct Known Subclasses:
  Float32DataBind, Float64DataBind, Int16DataBind, Int16UDataBind, Int32DataBind, Int32UDataBind, Int64DataBind, Int8DataBind, Int8UDataBind, UnicodeStringDataBind, VisibleStringDataBind

    public abstract class TextFieldDataBind<E extends BasicDataAttribute>
    extends BasicDataBind<E>

### Nested Class Summary

Nested Classes
`protected static class` `TextFieldDataBind.AbstractFilter`

### Field Summary

Fields
`protected javax.swing.JTextField` `inputField`

### Fields inherited from class org.openmuc.openiec61850.clientgui.BasicDataBind

`data`

### Constructor Summary

Constructors
Constructor and Description
`TextFieldDataBind(E data, BdaType type, TextFieldDataBind.AbstractFilter filter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.swing.JComponent` `init()`

### Methods inherited from class org.openmuc.openiec61850.clientgui.BasicDataBind

`getNameLabel, getValueField, reset, resetImpl, write, writeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### inputField

    protected javax.swing.JTextField inputField

### Constructor Detail

#### TextFieldDataBind

    public TextFieldDataBind(E data,
                             BdaType type,
                             TextFieldDataBind.AbstractFilter filter)

### Method Detail

#### init

    protected javax.swing.JComponent init()

Specified by:
  `init` in class `BasicDataBind<E extends BasicDataAttribute>`